/* 
 * © 2007-2008 MySQL AB, 2008-2009 Sun Microsystems, Inc.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */
#include "stdafx.h"

#include "sql_semantic_check.h"


Sql_semantic_check::Sql_semantic_check(grt::GRT *grt)
:
Sql_parser_base(grt),
Sql_syntax_check(grt)
{
}


void Sql_semantic_check::reset_context_objects()
{
  _context_schema= db_SchemaRef();
  _context_table= db_TableRef();
  _context_trigger= db_TriggerRef();
  _context_view= db_ViewRef();
  _context_routine= db_RoutineRef();
  _context_routine_group= db_RoutineGroupRef();
}


void Sql_semantic_check::context_object(db_SchemaRef obj)
{
  _context_schema= obj;
}


void Sql_semantic_check::context_object(db_TableRef obj)
{
  _context_table= obj;
}


void Sql_semantic_check::context_object(db_TriggerRef obj)
{
  _context_trigger= obj;
}


void Sql_semantic_check::context_object(db_ViewRef obj)
{
  _context_view= obj;
}


void Sql_semantic_check::context_object(db_RoutineRef obj)
{
  _context_routine= obj;
}


void Sql_semantic_check::context_object(db_RoutineGroupRef obj)
{
  _context_routine_group= obj;
}
